"""xpm_resources.py
Licensed under the GNU General Public License
resources for xpm creation
"""

palette = {
    ".": "#767C6F",
    "+": "#010101",
    "@": "#8E968A",
    "#": "#505055",
    "$": "#6CB237",
    "%": "#6EC63B",
    "&": "#4F8327",
    "*": "#020202",
    "=": "#0A0A0A",
    "-": "#484C46",
    "<": "#DEDEDE",
    ">": "#7C827C",
    }


background = [
    "                                                                ",
    "                                                                ",
    "     ******************************************************     ",
    "    *======================================================*    ",
    "   *==-----------------------------------------------------*<   ",
    "   *=-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*<   ",
    "   *=->>@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<   ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@**<   ",
    "    *******************************************************<    ",
    "     <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<     ",
    "                                                                ",
    "                                                                ",
    "                                                                ",
]

patterns = [
    "                                                                                                                                                            ",
    ".+++.@#+++@@#+++#@#+++@@#+++#@#+++#@#+++#@#...#@@...#@@...#@#...#@#...@@+...+@#+++@@#+++#@#+++#@#+++#@#+++#@#+++#@#+++#@#...#@#...#@#...#@#...#@#...#@#+++#@",
    "+@@@+@+@@@+@+@@@.@+@@@+@+@@@.@+@@@.@+@@@.@+@@@+@.@@@+@.@@@+@+@@@+@+@@@.@++@++@+@@@+@+@@@+@+@@@+@+@@@+@+@@@+@+@@@.@.@+@.@+@@@+@+@@@+@+@@@+@+@@@+@+@@@+@.@@@+@",
    "+@@@+@+@@@+@+@@@.@+@@@+@+@@@.@+@@@.@+@@@.@+@@@+@.@@@+@.@@@+@+@@+.@+@@@.@+@+@+@+@@@+@+@@@+@+@@@+@+@@@+@+@@@+@+@@@.@.@+@.@+@@@+@+@@@+@+@@@+@.+@+.@+@@@+@.@@+.@",
    "#+++#@#+++@@#...@@#...#@#+++@@#+++@@#.++#@#+++#@@...#@@...#@#++.@@#...@@#...#@#...#@#...#@#+++#@#+..#@#+++@@#+++#@@.#.@@#...#@#...#@#...#@@.+.@@#+++#@@.+.@@",
    "+@@@+@+@@@+@+@@@.@+@@@+@+@@@.@+@@@.@+@@@+@+@@@+@.@@@+@.@@@+@+@@+.@+@@@.@+@@@+@+@@@+@+@@@+@+@@@.@+@+@+@+@@@+@.@@@+@.@+@.@+@@@+@+@@@+@+@+@+@.+@+.@.@@@+@.+@@.@",
    "+@@@+@+@@@+@+@@@.@+@@@+@+@@@.@+@@@.@+@@@+@+@@@+@.@@@+@.@@@+@+@@@+@+@@@.@+@@@+@+@@@+@+@@@+@+@@@.@+@@++@+@@@+@.@@@+@.@+@.@+@@@+@+@@@+@++@++@+@@@+@.@@@+@+@@@.@",
    "#...#@#+++@@#+++#@++++@@#+++#@+...@@#+++#@#...#@@...+@#+++#@#...#@#+++.@#...#@+...+@#+++#@#...@@#+++#@#...#@#+++#@@.#.@@.++++@@+++@@+...+@#...+##+++#@#+++#@",
    "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "@+++@@@...#@#+++#@#+++#@#...#@#+++#@#+++#@#+++#@#+++#@#+++#@@...@@@...@@@...@@@+..@@@+..@@@..+@@@...@@@..+@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "+@@@+@.@@@+@.@@@+@.@@@+@+@@@+@+@@@.@+@@@.@.@@@+@+@@@+@+@@@+@.@@@.@.@@@.@.@@@.@+@@@.@+@@@.@.@@@+@+@#@+@.@@+.@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "+@@@+@.@@@+@.@@@+@.@@@+@+@@@+@+@@@.@+@@@.@.@@@+@+@@@+@+@@@+@.@@@.@.@@@.@.@@@.@+@@@.@+@@@.@.@@@+@.###.@.@+@.@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "#...#@@...#@#+++#@@+++#@#+++#@#+++#@#+++#@@...#@.+++.@#+++#@@...@@#+++#@@...@@@...@@#...@@@...#@+++++@@.+.@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "+@@@+@.@@@+@+@@@.@.@@@+@.@@@+@.@@@+@+@@@+@.@@@+@+@@@+@.@@@+@.@@@.@.@@@.@.@@@.@.@@@.@+@@@.@.@@@+@.###.@.@+@.@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "+@@@+@.@@@+@+@@@.@.@@@+@.@@@+@.@@@+@+@@@+@.@@@+@+@@@+@.@@@+@.@@@.@.@@@.@.@@@.@.@@@.@+@@@.@.@@@+@+@#@+@.+@@.@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "@+++@@@...+@#+++#@#+++#@@...#@#+++#@#+++#@@...#@#+++#@#+++#@@...@@@...@@@#+#@@@...@@@+..@@@..+@@@...@@@+..@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@",
    "$+++$%&+++%%&+++&%&+++%%&+++&%&+++&%&+++&%&$$$&%%$$$&%%$$$&%&$$$&%&$$$%%+$$$+%&+++%%&+++&%&+++&%&+++&%&+++&%&+++&%&+++&%&$$$&%&$$$&%&$$$&%&$$$&%&$$$&%&+++&%",
    "+%%%+%+%%%+%+%%%$%+%%%+%+%%%$%+%%%$%+%%%$%+%%%+%$%%%+%$%%%+%+%%%+%+%%%$%++%++%+%%%+%+%%%+%+%%%+%+%%%+%+%%%+%+%%%$%$%+%$%+%%%+%+%%%+%+%%%+%+%%%+%+%%%+%$%%%+%",
    "+%%%+%+%%%+%+%%%$%+%%%+%+%%%$%+%%%$%+%%%$%+%%%+%$%%%+%$%%%+%+%%+$%+%%%$%+%+%+%+%%%+%+%%%+%+%%%+%+%%%+%+%%%+%+%%%$%$%+%$%+%%%+%+%%%+%+%%%+%$+%+$%+%%%+%$%%+$%",
    "&+++&%&+++%%&$$$%%&$$$&%&+++%%&+++%%&$++&%&+++&%%$$$&%%$$$&%&++$%%&$$$%%&$$$&%&$$$&%&$$$&%&+++&%&+$$&%&+++%%&+++&%%$&$%%&$$$&%&$$$&%&$$$&%%$+$%%&+++&%%$+$%%",
    "+%%%+%+%%%+%+%%%$%+%%%+%+%%%$%+%%%$%+%%%+%+%%%+%$%%%+%$%%%+%+%%+$%+%%%$%+%%%+%+%%%+%+%%%+%+%%%$%+%+%+%+%%%+%$%%%+%$%+%$%+%%%+%+%%%+%+%+%+%$+%+$%$%%%+%$+%%$%",
    "+%%%+%+%%%+%+%%%$%+%%%+%+%%%$%+%%%$%+%%%+%+%%%+%$%%%+%$%%%+%+%%%+%+%%%$%+%%%+%+%%%+%+%%%+%+%%%$%+%%++%+%%%+%$%%%+%$%+%$%+%%%+%+%%%+%++%++%+%%%+%$%%%+%+%%%$%",
    "&$$$&%&+++%%&+++&%++++%%&+++&%+$$$%%&+++&%&$$$&%%$$$+%&+++&%&$$$&%&+++$%&$$$&%+$$$+%&+++&%&$$$%%&+++&%&$$$&%&+++&%%$&$%%$++++%%+++%%+$$$+%&$$$+&&+++&%&+++&%",
    "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "%+++%%%$$$&%&+++&%&+++&%&$$$&%&+++&%&+++&%&+++&%&+++&%&+++&%%$$$%%%$$$%%%$$$%%%+$$%%%+$$%%%$$+%%%$$$%%%$$+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "+%%%+%$%%%+%$%%%+%$%%%+%+%%%+%+%%%$%+%%%$%$%%%+%+%%%+%+%%%+%$%%%$%$%%%$%$%%%$%+%%%$%+%%%$%$%%%+%+%&%+%$%%+$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "+%%%+%$%%%+%$%%%+%$%%%+%+%%%+%+%%%$%+%%%$%$%%%+%+%%%+%+%%%+%$%%%$%$%%%$%$%%%$%+%%%$%+%%%$%$%%%+%$&&&$%$%+%$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "&$$$&%%$$$&%&+++&%%+++&%&+++&%&+++&%&+++&%%$$$&%$+++$%&+++&%%$$$%%&+++&%%$$$%%%$$$%%&$$$%%%$$$&%+++++%%$+$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "+%%%+%$%%%+%+%%%$%$%%%+%$%%%+%$%%%+%+%%%+%$%%%+%+%%%+%$%%%+%$%%%$%$%%%$%$%%%$%$%%%$%+%%%$%$%%%+%$&&&$%$%+%$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "+%%%+%$%%%+%+%%%$%$%%%+%$%%%+%$%%%+%+%%%+%$%%%+%+%%%+%$%%%+%$%%%$%$%%%$%$%%%$%$%%%$%+%%%$%$%%%+%+%&%+%$+%%$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "%+++%%%$$$+%&+++&%&+++&%%$$$&%&+++&%&+++&%%$$$&%&+++&%&+++&%%$$$%%%$$$%%%&+&%%%$$$%%%+$$%%%$$+%%%$$$%%%+$$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%",
    "                                                                                                                                                            ",
    "                                                                                                                                                            ",
    "                                                                                                                                                            ",
    "     ******************************************************        ******************************************************                                   ",
    "    *======================================================*      ********************************************************                                  ",
#    "    *======================================================*      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*                                  ",
    "   *==-----------------------------------------------------*<    **%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->>@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "   *=->@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@**<    *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                 ",
    "    *******************************************************<      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%<                                  ",
    "     <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<        <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<                                   ",
    "                                                                                                                                                            ",
    "                                                                                                                                                            ",
    ]

